import * as i0 from '@angular/core';
import { Directive, Input } from '@angular/core';

class FocusOnLoadDirective {
    constructor(viewContainer) {
        this.viewContainer = viewContainer;
        this._autofocus = true;
        const container = this.viewContainer['_lContainer'][0];
        if (container instanceof HTMLElement) {
            this.inputBox = container;
        }
        else {
            this.inputBox = container[8];
        }
    }
    set autofocus(value) {
        if (value === '') {
            // <bs-select2 ... autofocus></bs-select2>
            value = true;
        }
        this._autofocus = value;
    }
    ngAfterViewInit() {
        setTimeout(() => {
            if (this._autofocus) {
                this.inputBox.focus();
            }
        }, 10);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "18.2.8", ngImport: i0, type: FocusOnLoadDirective, deps: [{ token: i0.ViewContainerRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "18.2.8", type: FocusOnLoadDirective, isStandalone: true, selector: "*[autofocus]", inputs: { autofocus: "autofocus" }, ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "18.2.8", ngImport: i0, type: FocusOnLoadDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '*[autofocus]',
                    standalone: true
                }]
        }], ctorParameters: () => [{ type: i0.ViewContainerRef }], propDecorators: { autofocus: [{
                type: Input
            }] } });

/**
 * Generated bundle index. Do not edit.
 */

export { FocusOnLoadDirective };
//# sourceMappingURL=mintplayer-ng-focus-on-load.mjs.map
